aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2018-11-03 07:46:44 -0300
committerSilvio Rhatto <rhatto@riseup.net>2018-11-03 07:46:44 -0300
commite7e6b260614a589e035fcd2febb74fda827a18e4 (patch)
tree3f57e6652e58f4b0322f22e02ce9909470c13a45
parent6648d9bc874c397351be4901b521c4c3e596c7ec (diff)
downloadtrashman-e7e6b260614a589e035fcd2febb74fda827a18e4.tar.gz
trashman-e7e6b260614a589e035fcd2febb74fda827a18e4.tar.bz2
Adds anbox
-rw-r--r--share/trashman/anbox/info1
-rwxr-xr-xshare/trashman/anbox/unix/linux/debian/install39
2 files changed, 40 insertions, 0 deletions
diff --git a/share/trashman/anbox/info b/share/trashman/anbox/info
new file mode 100644
index 0000000..c94bc86
--- /dev/null
+++ b/share/trashman/anbox/info
@@ -0,0 +1 @@
+run Android applications on any GNU/Linux operating system
diff --git a/share/trashman/anbox/unix/linux/debian/install b/share/trashman/anbox/unix/linux/debian/install
new file mode 100755
index 0000000..28923df
--- /dev/null
+++ b/share/trashman/anbox/unix/linux/debian/install
@@ -0,0 +1,39 @@
+#!/usr/bin/env sh
+#
+# Install anbox system-wide.
+# See https://docs.anbox.io
+#
+
+# Parameters
+SHARE="$1"
+
+# Include basic functions
+. $SHARE/trashman/functions || exit 1
+. $SHARE/trashman/debian || exit 1
+
+# Install requirements
+apt-get update && trashman_apt_install snapd android-tools-adb apksigner
+
+# Enable modules
+modprobe ashmem_linux
+modprobe binder_linux
+
+# Include modules into config
+echo ashmem_linux >> /etc/modules
+echo binder_linux >> /etc/modules
+
+# Install anbox
+snap install --devmode --beta anbox
+
+# Run
+#snap run anbox.appmgr
+
+# Example applications
+# https://signal.org/android/apk/
+# https://whatsapp.com/android
+
+# Verify
+#apksigner verify --print-certs app.apk
+
+# Install
+#adb install app.apk